
var isCtrl = false;
var isShift = false;
var ls = -1;
function MOutBgColor(obj) {
    if (obj.style.backgroundColor != "#e2e2e2") {
        obj.style.backgroundColor = "white";
    }
}
function MOverBgColor(obj) {

    if (obj.style.backgroundColor != "#e2e2e2") {
        obj.style.backgroundColor = "#f7ecea";
    }    
}
function ItemSelect(obj) {
    var i = 0;

    if (!isShift) {
        ls = $(obj).find("td").eq(0).text();
    }

    if (!isShift) {

        if (!isCtrl) {
            $("table").each(function () {
                if ($(this).css("backgroundColor") == "#e2e2e2") {
                    i++;
                }
                if ($(this).attr("id") != obj.id) {
                    $(this).css("backgroundColor", "white");
                }
            });
        }
        var bgColor = obj.style.backgroundColor;
        //unselected
        if (bgColor == "#e2e2e2") {
            if (i <= 1) {
                obj.style.backgroundColor = "#f7ecea";
            }
        }
        else {
            obj.style.backgroundColor = "#e2e2e2";
        }

        window.external.GetPhraseSelected(obj.id, isCtrl);
    }
    else {
        if (ls == -1) {
            ls = $(obj).find("td").eq(0).text();
            var bgColor = obj.style.backgroundColor;
            obj.style.backgroundColor = "#e2e2e2";
            window.external.GetPhraseSelected(obj.id, isCtrl);
            
        }
        else {
            var tm = $(obj).find("td").eq(0).text();
            var ils = parseInt(ls);
            var itm = parseInt(tm);
            if (ils > itm) {
                ils = ils + itm;
                itm = ils - itm;
                ils = ils - itm;
            }
            var ids = "";
            
            $("table").each(function () {

                var t = $(this).find("td").eq(0).text();
                var it = parseInt(t);
                if (ils <= it && it <= itm) {
                    $(this).css("backgroundColor", "#e2e2e2");
                    ids = ids + $(this).attr("id") + ",";
                }
                else {
                    $(this).css("backgroundColor", "white");
                }
            });

            window.external.GetSuccessiveSlt(ids);
        }
    }
    i = 0;
}
function initializelLs() {
    ls = -1;
}
function ClearSelected() {
    $("table").each(function () {
        $(this).css("backgroundColor","white")
    });
}
function PhraseKeyUp() {
    if (event.keyCode == 13) {
        if ($.trim($('#txtDefi').text()) != "") {
            window.external.AddClick();
        }
        else {
            if ($.trim($('#txtPhrase').val()) != "") {
                $('#txtDefi').focus();
            }
        }
    }
    else {
        window.external.txtPhraseKeyUp();
    }
}
function InitinalSort(ca,ud) {
    $('#thPh').click(function () {
        u = window.external.GetSortedDirection();
        if (u) {
            window.external.SortPhrase('false', 'false');
        }
        else {
            window.external.SortPhrase('false', 'true');
        }
    });
    $('#thTime').click(function () {
        u = window.external.GetSortedDirection();
        if (u) {
            window.external.SortPhrase('true', 'false');
        }
        else {
            window.external.SortPhrase('true', 'true');
        }
    });
    

    $('#thPh').mouseover(function () {
        if (ud) {
            $('#aalup').show();
        }
        else {
            $('#aaldown').show();
        }
    });
    $('#thPh').mouseout(function () {
        ca = window.external.GetSortedColumn();
        if (ca) {
            $('#aalup').hide();
            $('#aaldown').hide();
        }
    });
    $('#thTime').mouseover(function () {
        if (ud) {
            $('#achup').show();
        }
        else {
            $('#achdown').show();
        }
    });
    $('#thTime').mouseout(function () {
        ca = window.external.GetSortedColumn();
        if (!ca) {
            $('#achup').hide();
            $('#achdown').hide();
        }
    });

    $('#aalup').css({ display: "none" });
    $('#aaldown').css({ display: "none" });
    $('#achup').css({ display: "none" });
    $('#achdown').css({ display: "none" });
    if (ca)
    {
        if (ud) {
            $('#achup').show();
        }
        else {
            $('#achdown').show();
        }
    }
    else
    {
        if (ud) {
            $('#aalup').show();          
        }
        else {
            $('#aaldown').show();
        }
    }
    $("div").css({"cursor":"default"});
}



